Bug 232012 - editors/encryptpad: fix build with GCC-based architectures
Summary: editors/encryptpad: fix build with GCC-based architectures
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Mark Linimon
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2018-10-06 18:05 UTC by Piotr Kubaj
Modified: 2018-11-05 20:10 UTC (History)
2 users (show)

See Also:
dmgk: maintainer-feedback+


Attachments
patch (1023 bytes, patch)
2018-10-06 18:05 UTC, Piotr Kubaj
no flags Details | Diff
patch (1.04 KB, patch)
2018-10-26 16:50 UTC, Piotr Kubaj
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Piotr Kubaj freebsd_committer 2018-10-06 18:05:09 UTC
Created attachment 197845 [details]
patch

This port requires USES=c++11-lang to build on architectures that use GCC in base. Also requires switching from freebsd-clang++ to freebsd-g++ where GCC needs to be used.

Tested on powerpc64 and amd64.

Hardware sponsored by IntegriCloud.
Comment 1 Dmitri Goutnik freebsd_committer 2018-10-06 18:07:34 UTC
Comment on attachment 197845 [details]
patch

LGTM, thanks!
Comment 2 Mark Linimon freebsd_committer freebsd_triage 2018-10-26 16:07:29 UTC
Patch is missing extra-patch-build_Makefile.qt__ui .
Comment 3 Piotr Kubaj freebsd_committer 2018-10-26 16:50:21 UTC
Created attachment 198664 [details]
patch

Thanks, I forgot to do svnlite add.
Since this is simple sed, I did everything in Makefile in new patch.
Comment 4 commit-hook freebsd_committer 2018-11-05 20:10:29 UTC
A commit references this bug:

Author: linimon
Date: Mon Nov  5 20:09:27 UTC 2018
New revision: 484216
URL: https://svnweb.freebsd.org/changeset/ports/484216

Log:
  This port requires USES=c++11-lang to build on architectures that
  use GCC in base.  Also requires switching from freebsd-clang++ to
  freebsd-g++ where GCC needs to be used.

  PR:		232012
  Submitted by:	Piotr Kubaj
  Approved by:	maintainer

Changes:
  head/editors/encryptpad/Makefile